# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Solitaire
Summary:	Crypt::Solitaire Perl module - Solitaire cryptosystem
Summary(pl):	Modu Perla Crypt::Solitaire - system kryptograficzny Solitaire
Name:		perl-Crypt-Solitaire
Version:	2.0
Release:	3
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solitaire is a top-notch pencil-and-paper encryption system developed
by Bruce Schneier, basing on story from Neal Stephenson's novel
Cryptonomicon.

%description -l pl
Solitaire to system szyfrowania, do ktrego wystarczy owek i kartka
papieru. Zosta opracowany przez Bruce'a Schneiera na podstawie
zdarzenia z powieci Neala Stephensona "Cryptonomicom".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Crypt/Solitaire.pm
%dir %{perl_sitelib}/auto/Crypt/Solitaire
%{perl_sitelib}/auto/Crypt/Solitaire/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Solitaire.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:50  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/16 08:21:50  ankry
- added missing dir
- release 2

Revision 1.1  2002/08/02 20:06:33  qboosh
- new
